package main

import (
	"context"
	"log"

	"tildegit.org/tjp/sliderule/finger"
	"tildegit.org/tjp/sliderule/logging"
)

func main() {
	_, infoLog, _, errLog := logging.DefaultLoggers()

	fs, err := finger.NewServer(
		context.Background(),
		"localhost",
		"tcp",
		":79",
		logging.LogRequests(infoLog)(finger.SystemFinger(false)),
		errLog,
	)
	if err != nil {
		log.Fatal(err)
	}

	fs.Serve()
}
