package sliderule_test

import (
	"net/url"
	"testing"

	sr "tildegit.org/tjp/sliderule"
)

func TestUnescapedQuery(t *testing.T) {
	table := []string{
		"foo bar",
	}

	for _, test := range table {
		t.Run(test, func(t *testing.T) {
			u, _ := url.Parse("gemini://domain.com/path?" + url.QueryEscape(test))
			result := sr.Request{URL: u}.UnescapedQuery()
			if result != test {
				t.Errorf("expected %q, got %q", test, result)
			}
		})
	}
}
